### Method

# AppStreamCompose Result fetch_hints_all

#### Declaration [src]

    GPtrArray*
    asc_result_fetch_hints_all (
      AscResult* result
    )

#### Description [src]

Get a list of all hints for all components that are registered with this result.

#### Return value

Type: An array of `AscHint*`

An array of `AscHint`.

The caller of the method takes ownership of the returned data container, but not the data inside it.